from plynk.enums.plink_filetypes import PlinkFileType


DEFAULT_HEADERS = {
    PlinkFileType.PED: [
        "Family ID",
        "Individual ID",
        "Paternal ID",
        "Maternal ID",
        "Sex",
        "Phenotype",
    ],
    PlinkFileType.MAP: [
        "Chromosome",
        "Marker ID",
        "Genetic Distance",
        "Position Base Pairs",
    ],
    PlinkFileType.BIM: [
        "Chromosome",
        "SNP ID",
        "Genetic Distance",
        "Position Base Pairs",
        "Allele 1",
        "Allele 2",
    ],
    PlinkFileType.FAM: [
        "Family ID",
        "Individual ID",
        "Paternal ID",
        "Maternal ID",
        "Sex",
        "Phenotype",
    ],
    PlinkFileType.EIGENVAL: ["Eigenvalue"],
    PlinkFileType.EIGENVEC: [
        "Individual ID",
        "PC1",
        "PC2",
        "PC3",
        "PC4",
        "PC5",
        "PC6",
        "PC7",
        "PC8",
        "PC9",
        "PC10",
    ],
    PlinkFileType.HET: ["FID", "IID", "O(HOM)", "E(HOM)", "N(NM)", "F"],
    PlinkFileType.LOG: ["Log Entry"],
    PlinkFileType.NOSEX: ["No Sex Determined"],
    PlinkFileType.HWE: ["CHR", "SNP", "TEST", "AFF", "UNAFF", "ALL", "UNAFF_CASE_P"],
    PlinkFileType.FREQ: ["CHR", "SNP", "A1", "A2", "MAF", "NCHROBS"],
    PlinkFileType.ASSOC: ["CHR", "SNP", "BP", "A1", "TEST", "NMISS", "OR", "STAT", "P"],
    PlinkFileType.MISSING: ["CHR", "SNP", "N_MISS", "F_MISS"],
    PlinkFileType.HOMOZYG: [
        "FID",
        "IID",
        "CHR",
        "START",
        "END",
        "KB",
        "NSNP",
        "DENSITY",
    ],
    PlinkFileType.CLST: ["FID", "IID", "CLUSTER"],
    PlinkFileType.PHENO: ["FID", "IID", "PHENOTYPE"],
    PlinkFileType.QFAM: ["FID", "IID", "TRAIT"],
    PlinkFileType.GENO: ["CHR", "SNP", "GENO", "COUNT"],
    PlinkFileType.LGEN: [
        "Family ID",
        "Individual ID",
        "Paternal ID",
        "Maternal ID",
        "Sex",
        "Phenotype",
        "SNP",
        "Allele 1",
        "Allele 2",
    ],
}

HAS_HEADERS_INCLUDED = [
    PlinkFileType.HET,
    PlinkFileType.LOG,
    PlinkFileType.EIGENVAL,
    PlinkFileType.EIGENVEC,
    PlinkFileType.HWE,
    PlinkFileType.FREQ,
    PlinkFileType.ASSOC,
    PlinkFileType.MISSING,
    PlinkFileType.HOMOZYG,
    PlinkFileType.CLST,
    PlinkFileType.PHENO,
    PlinkFileType.QFAM,
    PlinkFileType.GENO,
]
